//
//  MasterViewController.m
//  Xml
//
//  Created by Paul Marret on 06/12/13.
//  Copyright (c) 2013 Christian POÜS. All rights reserved.
//

#import "MasterViewController.h"

#import "DetailViewController.h"

@interface MasterViewController () {
    NSMutableArray *_objects;
}
@end

@implementation MasterViewController
@synthesize Research;
@synthesize tableView;

- (void)awakeFromNib
{
    [super awakeFromNib];
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    //Initialisation des tableau adresse Xeb et ma recherche
    maRecherche = [[NSMutableArray alloc] init];
    adressesWeb = [[NSMutableArray alloc] init];


    self.navigationItem.leftBarButtonItem = self.editButtonItem;

}


-(IBAction)saisieReturn:(id)sender
{
    int i;
    //Lors de l'appuie sur Return (aprés avoir saissi du texte)
    
    [sender resignFirstResponder];
    newRecherche = Research.text;
    
    //Creation de l'URL
    NSString *URL;
    URL = [NSString stringWithFormat:@"%@%@%@",@"http://svcs.ebay.com/services/search/FindingService/v1?SECURITY-APPNAME=VincentG-9861-4c81-8ae8-f48b1e390190&OPERATION-NAME=findItemsByKeywords&SERVICE-VERSION=1.0.0&RESPONSE-DATA-FORMAT=JSON&REST-PAYLOAD&keywords=",newRecherche, @"&paginationInput.entriesPerPage=6"];
    
    NSLog(@"%@",URL);
    
    NSError *error;
    
    NSLog(@"Bonjour");
    
    //Parsing Begin
    
    jsonData2 = [NSData dataWithContentsOfURL:[NSURL URLWithString:URL]];
    
    id jsonObjects2 = [NSJSONSerialization JSONObjectWithData:jsonData2 options:NSJSONReadingMutableContainers error:&error];
    
    if (error)
        NSLog(@"Erreur %@",error );
    
    NSArray *feed2 = [jsonObjects2 objectForKey:@"findItemsByKeywordsResponse"];
    
    NSArray *feed3 = [feed2[0] objectForKey:@"searchResult"];
    
    
    NSLog(@"FIN3");
    
    NSArray *feed4 = [feed3[0] objectForKey:@"item"];
    
    
    NSLog(@"FIN4");
    
    //Parsing End
    
    //Remplissage des Tableaux
    for (NSDictionary *status in feed4)  {
        
        NSArray *tmp = [status objectForKey:@"viewItemURL"];
        for(i=0; i<[ tmp count]; i++)
            [adressesWeb addObject:[tmp objectAtIndex:i]];
        
        
        NSArray *tmp2 = [status objectForKey:@"title"];
        for(i=0; i<[ tmp2 count]; i++)
            [maRecherche addObject:[tmp2 objectAtIndex:i]];
    }
    
    //Reload des données du tableau
    [tableView reloadData];
}


- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)insertNewObject:(id)sender
{
    if (!_objects) {
        _objects = [[NSMutableArray alloc] init];
    }
    [_objects insertObject:[NSDate date] atIndex:0];
    NSIndexPath *indexPath = [NSIndexPath indexPathForRow:0 inSection:0];
    [self.tableView insertRowsAtIndexPaths:@[indexPath] withRowAnimation:UITableViewRowAnimationAutomatic];
}

#pragma mark - Table View

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return [maRecherche count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *CellIdentifier = @"MyIdentifier";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier];
     }
    
    
    // Configuration des cellules
    NSString *cellValue = [maRecherche objectAtIndex:indexPath.row];
    
    
    cell.textLabel.text = cellValue;
    return cell;
}

- (BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Return NO if you do not want the specified item to be editable.
    return YES;
}

- (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath
{
    if (editingStyle == UITableViewCellEditingStyleDelete) {
        [_objects removeObjectAtIndex:indexPath.row];
        [tableView deleteRowsAtIndexPaths:@[indexPath] withRowAnimation:UITableViewRowAnimationFade];
    } else if (editingStyle == UITableViewCellEditingStyleInsert) {
        // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view.
    }
}


/*
// Override to support rearranging the table view.
- (void)tableView:(UITableView *)tableView moveRowAtIndexPath:(NSIndexPath *)fromIndexPath toIndexPath:(NSIndexPath *)toIndexPath
{
}
*/

/*
// Override to support conditional rearranging of the table view.
- (BOOL)tableView:(UITableView *)tableView canMoveRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Return NO if you do not want the item to be re-orderable.
    return YES;
}
*/


-(void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender{
    if([[segue identifier] isEqualToString:@"detailSegue"])
    {
        NSInteger selectedIndex = [[self.tableView indexPathForSelectedRow] row];
        DetailViewController *dvc = [segue destinationViewController];
        dvc.siteSelectionne = [NSString stringWithFormat:@"%@", [adressesWeb objectAtIndex:selectedIndex]];
    }
}

@end
